#
# spec file for package python-zope.proxy-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.proxy-doc
Version:        4.2.1
Release:        lp150.1.3
Summary:        Documentation for python-zope.proxy
License:        ZPL-2.1
Group:          Development/Languages/Python
Url:            http://www.python.org/pypi/zope.proxy
Source:         https://files.pythonhosted.org/packages/source/z/zope.proxy/zope.proxy-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.interface}
BuildRequires:  %{python_module zope.proxy}
# SECTION documentation requirements
BuildRequires:  python3-Sphinx
BuildRequires:  python3-repoze.sphinx.autointerface
# /SECTION
# SECTION testing requirements
BuildRequires:  %{python_module zope.testrunner}
# /SECTION
BuildRequires:  python-rpm-macros
Provides:       %{python_module zope.proxy-doc = %{version}}
BuildArch:      noarch

%description
Contains documentation for python-zope.proxy

%prep
%setup -q -n zope.proxy-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# nothing to do

%check
%python_exec %{_bindir}/zope-testrunner --test-path=src -v

%files
%defattr(-,root,root,-)
%doc build/sphinx/html/

%changelog
* Thu Jul 13 2017 aloisio@gmx.com
- Update to version 4.2.1
  * Make the pure-Python implementation of sameProxiedObjects handle
    zope.security proxies. See issue 15.
  * Add support for Python 3.6.
  4.2.0:
  * Correctly strip zope.security proxies in removeAllProxies.
    See issue 13.
  * Avoid poisoning the user’s global wheel cache when testing
    PURE_PYTHON environments under tox,
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5.
  4.1.6:
  * Make subclasses of ProxyBase properly delegate __module__ to the
    wrapped object. This fixes some zope.interface lookups under
    PyPy.
  * Make the pure-Python implementation of ProxyBase properly report
    the zope.interface interfaces implemented by builtin types like
    list. This fixes some zope.interface lookups under PyPy.
  4.1.5:
  * Make the C implementation proxy __unicode__ correctly.
  * Make the C implementation use the standard methods to proxy int
    and float.
  * Make the pure Python implementation handle descriptors defined
    in subclasses like the C version.
    See https://github.com/zopefoundation/zope.proxy/issues/5.
- Split docs and tests into separate -doc package since running
  tests and sometimes building docs had become very messy.
  Also see (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 4.1.4:
  * Added support for Python 3.4.
  * Updated bootstrap.py to version 2.2.
- point the source URL to pypi
- pass -q to test to avoid spamming the build log
* Mon Jul 29 2013 hpj@urpla.net
- version 4.1.3: initial build
